org.apache.tapestry5.internal.plastic

## Enum PrimitiveType

- java.lang.Object
- - java.lang.Enum<PrimitiveType>
  - - org.apache.tapestry5.internal.plastic.PrimitiveType

- All Implemented Interfaces:
    Serializable, Comparable<PrimitiveType>, org.apache.tapestry5.internal.plastic.asm.Opcodes

      public enum PrimitiveType
      extends Enum<PrimitiveType>
      implements org.apache.tapestry5.internal.plastic.asm.Opcodes

  Collects together information needed to write code that involves primitive types, including moving between wrapper types and primitive values, or extracting a primitive value from the `StaticContext`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN`
    `BYTE`
    `CHAR`
    `DOUBLE`
    `FLOAT`
    `INT`
    `LONG`
    `SHORT`
    `VOID`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `descriptor`
    `String` | `getFromStaticContextMethodDescriptor`
    `String` | `getFromStaticContextMethodName`
    `int` | `loadOpcode`
    `String` | `name`
    `Class` | `primitiveType`
    `int` | `returnOpcode`
    `int` | `storeOpcode`
    `String` | `toValueMethodDescriptor`
    `String` | `toValueMethodName`
    `String` | `valueOfMethodDescriptor`
    `String` | `wrapperInternalName`
    `Class` | `wrapperType`

    - ### Fields inherited from interface org.apache.tapestry5.internal.plastic.asm.Opcodes

      `AALOAD, AASTORE, ACC_ABSTRACT, ACC_ANNOTATION, ACC_BRIDGE, ACC_DEPRECATED, ACC_ENUM, ACC_FINAL, ACC_INTERFACE, ACC_MANDATED, ACC_MODULE, ACC_NATIVE, ACC_OPEN, ACC_PRIVATE, ACC_PROTECTED, ACC_PUBLIC, ACC_RECORD, ACC_STATIC, ACC_STATIC_PHASE, ACC_STRICT, ACC_SUPER, ACC_SYNCHRONIZED, ACC_SYNTHETIC, ACC_TRANSIENT, ACC_TRANSITIVE, ACC_VARARGS, ACC_VOLATILE, ACONST_NULL, ALOAD, ANEWARRAY, ARETURN, ARRAYLENGTH, ASM4, ASM5, ASM6, ASM7, ASM8, ASM9_EXPERIMENTAL, ASTORE, ATHROW, BALOAD, BASTORE, BIPUSH, CALOAD, CASTORE, CHECKCAST, D2F, D2I, D2L, DADD, DALOAD, DASTORE, DCMPG, DCMPL, DCONST_0, DCONST_1, DDIV, DLOAD, DMUL, DNEG, DOUBLE, DREM, DRETURN, DSTORE, DSUB, DUP, DUP_X1, DUP_X2, DUP2, DUP2_X1, DUP2_X2, F_APPEND, F_CHOP, F_FULL, F_NEW, F_SAME, F_SAME1, F2D, F2I, F2L, FADD, FALOAD, FASTORE, FCMPG, FCMPL, FCONST_0, FCONST_1, FCONST_2, FDIV, FLOAD, FLOAT, FMUL, FNEG, FREM, FRETURN, FSTORE, FSUB, GETFIELD, GETSTATIC, GOTO, H_GETFIELD, H_GETSTATIC, H_INVOKEINTERFACE, H_INVOKESPECIAL, H_INVOKESTATIC, H_INVOKEVIRTUAL, H_NEWINVOKESPECIAL, H_PUTFIELD, H_PUTSTATIC, I2B, I2C, I2D, I2F, I2L, I2S, IADD, IALOAD, IAND, IASTORE, ICONST_0, ICONST_1, ICONST_2, ICONST_3, ICONST_4, ICONST_5, ICONST_M1, IDIV, IF_ACMPEQ, IF_ACMPNE, IF_ICMPEQ, IF_ICMPGE, IF_ICMPGT, IF_ICMPLE, IF_ICMPLT, IF_ICMPNE, IFEQ, IFGE, IFGT, IFLE, IFLT, IFNE, IFNONNULL, IFNULL, IINC, ILOAD, IMUL, INEG, INSTANCEOF, INTEGER, INVOKEDYNAMIC, INVOKEINTERFACE, INVOKESPECIAL, INVOKESTATIC, INVOKEVIRTUAL, IOR, IREM, IRETURN, ISHL, ISHR, ISTORE, ISUB, IUSHR, IXOR, JSR, L2D, L2F, L2I, LADD, LALOAD, LAND, LASTORE, LCMP, LCONST_0, LCONST_1, LDC, LDIV, LLOAD, LMUL, LNEG, LONG, LOOKUPSWITCH, LOR, LREM, LRETURN, LSHL, LSHR, LSTORE, LSUB, LUSHR, LXOR, MONITORENTER, MONITOREXIT, MULTIANEWARRAY, NEW, NEWARRAY, NOP, NULL, POP, POP2, PUTFIELD, PUTSTATIC, RET, RETURN, SALOAD, SASTORE, SIPUSH, SOURCE_DEPRECATED, SOURCE_MASK, SWAP, T_BOOLEAN, T_BYTE, T_CHAR, T_DOUBLE, T_FLOAT, T_INT, T_LONG, T_SHORT, TABLESWITCH, TOP, UNINITIALIZED_THIS, V_PREVIEW, V1_1, V1_2, V1_3, V1_4, V1_5, V1_6, V1_7, V1_8, V10, V11, V12, V13, V14, V15, V9`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PrimitiveType` | `getByName(String name)` Returns the primitive type matching the given type name or null for a non-primitive type (an array type, or an class name).
    `static PrimitiveType` | `getByPrimitiveType(Class primitiveType)`
    `boolean` | `isWide()`
    `static PrimitiveType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PrimitiveType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VOID

          public static final PrimitiveType VOID

    - #### BOOLEAN

          public static final PrimitiveType BOOLEAN

    - #### CHAR

          public static final PrimitiveType CHAR

    - #### BYTE

          public static final PrimitiveType BYTE

    - #### SHORT

          public static final PrimitiveType SHORT

    - #### INT

          public static final PrimitiveType INT

    - #### FLOAT

          public static final PrimitiveType FLOAT

    - #### LONG

          public static final PrimitiveType LONG

    - #### DOUBLE

          public static final PrimitiveType DOUBLE

  - ### Field Detail

    - #### name

          public final String name

    - #### descriptor

          public final String descriptor

    - #### wrapperInternalName

          public final String wrapperInternalName

    - #### valueOfMethodDescriptor

          public final String valueOfMethodDescriptor

    - #### toValueMethodName

          public final String toValueMethodName

    - #### getFromStaticContextMethodName

          public final String getFromStaticContextMethodName

    - #### toValueMethodDescriptor

          public final String toValueMethodDescriptor

    - #### getFromStaticContextMethodDescriptor

          public final String getFromStaticContextMethodDescriptor

    - #### primitiveType

          public final Class primitiveType

    - #### wrapperType

          public final Class wrapperType

    - #### loadOpcode

          public final int loadOpcode

    - #### storeOpcode

          public final int storeOpcode

    - #### returnOpcode

          public final int returnOpcode

  - ### Method Detail

    - #### values

          public static PrimitiveType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PrimitiveType c : PrimitiveType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PrimitiveType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isWide

          public boolean isWide()

    - #### getByName

          public static PrimitiveType getByName(String name)

      Returns the primitive type matching the given type name or null for a non-primitive type (an array type, or an class name).
      Parameters:
        `name` - possible primitive name
      Returns:
        the type or null

    - #### getByPrimitiveType

          public static PrimitiveType getByPrimitiveType(Class primitiveType)

5.6.0 - Copyright © 2003-2020 The Apache Software Foundation.